vim.opt.termguicolors = true
vim.opt.encoding = "utf-8"
vim.opt.autowriteall = true

vim.opt.number = true

--vim.opt.undodir = "~/.vim/undodir"
vim.opt.undofile = true
vim.opt.undolevels = 1000

vim.opt.updatetime = 500

vim.opt.foldmethod = "expr"
vim.opt.foldexpr = "nvim_treesitter#foldexpr()"
--vim.foldenable = true
vim.cmd([[ set nofoldenable]])
vim.opt.foldcolumn = "2"

-- Don't show the mode, since it's already in status line
vim.opt.showmode = false

-- Sync clipboard between OS and Neovim.
--  Remove this option if you want your OS clipboard to remain independent.
--  See `:help 'clipboard'`
vim.opt.clipboard = "unnamedplus"
